Package org.jboss.resteasy.plugins.providers.atom

## Class Category

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Category

-     public class Category
      extends CommonAttributes

  Per RFC4287:

        The "atom:category" element conveys information about a category
        associated with an entry or feed.  This specification assigns no
        meaning to the content (if any) of this element.

        atomCategory =
           element atom:category {
              atomCommonAttributes,
              attribute term { text },
              attribute scheme { atomUri }?,
              attribute label { text }?,
              undefinedContent
           }

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Category()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLabel()` |
    `URI` | `getScheme()` |
    `String` | `getTerm()` |
    `void` | `setLabel​(String label)` |
    `void` | `setScheme​(URI scheme)` |
    `void` | `setTerm​(String term)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Category

          public Category()

  - ### Method Detail

    - #### getTerm

          public String getTerm()

    - #### setTerm

          public void setTerm​(String term)

    - #### getScheme

          public URI getScheme()

    - #### setScheme

          public void setScheme​(URI scheme)

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel​(String label)